## ІСТОРІЯ (Журнал змін)

- v.6.1.8 (2026-09-01)
    - Незначні покращення інтерфейсу/користувацької інтерфейсу.
    - Перенесено розташування mcdx.
    - Прискорений mcdx.
    - Accelerated loading RC files.
- v.6.1.7 (2026-08-25)
    - Виправлено помилку MEditAccelDlg ("^A" тощо).
    - Зроблено mcdx менш підозрілим.
    - Виправлено дамп MessageRes.
- v.6.1.6 (2026-08-24)
    - Незначні покращення інтерфейсу/користувацької інтерфейсу.
    - Додано кнопку [Довідка] до MConstantDlg.
    - Виправлено збій у MRadWindow::AlignSelection.
    - Покращено переклад інсталятора.
    - Виправлено збій EGA RES_delete.
    - Виправлено помилку MEditAccelDlg ("^A" тощо).
    - Прискорена обробка ресурсів.
    - Виправлено помилку у відображенні назви ресурсу RISOHTEMPLATE.
    - Виправлено імпорт, вилучення та збереження RT_BITMAP.
    - Не цитуйте назви ресурсів для сумісності з MSVC.
- v.6.1.5 (2026-08-22)
    - Пришвидшення MDialogFontSubstDlg.
    - Додано вікно-сплеск.
    - Зроблено кодову сторінку windres за замовчуванням UTF-8.
    - Виправлено видобування RT_BITMAP.
    - Додано підтвердження перед видаленням.
    - Додано перевірку справності для пунктів меню.
    - Незначні покращення інтерфейсу/користувацької інтерфейсу.
- v.6.1.4 (2026-08-13)
    - Зроблено конфігурацію у вигляді аркуша властивостей.
    - Пришвидшення OnDeleteRes.
    - Виправлено проблему, через яку стрілки випадаючого списку в деревоподібному вигляді не дублювалися.
    - Виправлено мітки індексу MRadWindow.
    - Підтримується стиснення ресурсів за допомогою WonRes.
    - Покращено обробку UPX.
    - Покращена підтримка ідентифікатора довідки.
    - Покращено MEditMenuDlg.
    - Підтримується масштабування редактора коду.
    - Виправлено перенесення слів.
- v.6.1.3 (2026-08-08)
    - Спрощене меню [Редагувати].
    - Реалізовано шифрування ресурсів за допомогою WonRes.
    - Пришвидшення OnNew.
    - Додана підтримка BMP, стиснутих за допомогою RLE.
    - Зменшує мерехтіння в MRadWindow.
    - Зменшує мерехтіння в m_hCodeEditor.
- v.6.1.2 (2026-08-05)
    - Знову можна будувати за допомогою MinGW або RosBE.
    - Можливість змінювати тип ресурсу.
    - Можливість клонування типу ресурсу.
    - Незначні покращення інтерфейсу/користувацької інтерфейсу.
    - Виправлено обробку DLGITEMTEMPLATE.
    - Оновлено mcpp.exe для обробки інформації про вихідний рядок.
    - Покращено процес компіляції та інформацію про помилки.
- v.6.1.1 (2026-08-03)
    - Рефакторинг.
- v.6.1.0 (2026-08-03)
    - Виправлено неініціалізований дескриптор на стрілці деревоподібного вигляду.
    - Покращено польський переклад.
- v.6.0.9 (2026-08-02)
    - Оновлений посібник EGA.
    - Виправлена ​​затримка відображення деревоподібного вигляду.
- v.6.0.8 (2026-08-01)
    - Покращено MConstantDlg.
    - Покращено MAddCtrlDlg, MCtrlPropDlg та MDlgPropDlg.
    - Виправлено відсутній рядок португальських ресурсів.
    - Зменшено IDD_EGA.
    - Зроблено попередній перегляд ресурсів безпечнішим.
    - Покращено вивід діалогів EGA.
    - Виправлені функції "load" та "save" в EGA.
    - Додано функцію EGA "RES_extract".
    - Виправлені функції EGA "RES_load" та "RES_save".
    - Покращено переклад та ключі доступу.
- v.6.0.7 (2026-07-24)
    - Виправлено повільність прокручування колеса перегляду вихідного коду.
    - Виправлено дамп у стилі DIALOG.
    - Покращено дамп RT_VERSION.
    - Виправлено дані RT_VERSION.
    - Виправлено стилі BUTTON та RICHEDIT.
    - Покращена довідка з ключовими словами.
- v.6.0.5 (2026-07-17)
    - Увімкнено стрілку деревоподібного перегляду для зміни назви ресурсу.
    - Виправлено EGA. Додано деякі програми EGA.
    - Використано DIALOGEX замість DIALOG.
    - Покращено дамп шрифтів DIALOGEX.
    - Покращено обробку вибору кількох елементів керування в IDD_CTRLPROP.
    - Увімкнено автоматичне доповнення вводу для елемента назви деревоподібного перегляду.
    - Виправлено видалення елемента в деревоподібному перегляді.
- v.6.0.4 (2026-07-07)
    - Виправлено інтерпретацію ідентифікаторів ресурсів у деревоподібному вигляді.
    - Додано кнопку "Скинути" у діалоговому вікні IDD_FONTS.
- v.6.0.3 (2026-07-05)
    - Дозволено 32-бітне ціле число зі знаком/без знака для ідентифікатора довідки в діалоговому вікні «Ідентифікатори ресурсів».
    - Завершення локалізації.
    - Виправлено незначну помилку "Ідентифікатори ресурсів".
    - Правильна обробка імен ресурсів у лапках.
    - Покращено дамп RT_VERSION.
    - Додано "winres.h".
    - Додано функцію «Довідка з елементів» у деревоподібному вигляді.
    - Пропущено коми в таблиці рядків.
    - Підтримується контекстна довідка (F1).
    - Завжди використовуються великі літери для рядків ідентифікаторів ресурсів.
    - Усунено ділення на нуль макропарсером.
- v.6.0.2 (2026-07-03)
    - Покращено переклад польською (Польща) мовою (дякую, Фреста).
    - Виправлено дії "Список ідентифікаторів ресурсів" ID_BASE10 та ID_BASE16.
    - Перейменовано «Список ідентифікаторів ресурсів» на «Ідентифікатори ресурсів».
    - Виправлено інтерфейс/користувацький досвід роботи з "Ідентифікаторами ресурсів".
- v.6.0.1 (2026-06-01)
    - Оптимізовано «Список ідентифікаторів ресурсів».
    - Додано український (український) переклад.
- v.6.0.0 (2026-05-21)
    - Виправлено деякі незначні помилки UI/UX .
    - Змінено значення bUseMSMSGTABLE на значення за замовчуванням.
- v.5.9.9 (2026-05-20)
    - Виправлено msdx.
    - Виправлено обробку ідентифікаторів ресурсів.
    - Виправлено обробку таблиці повідомлень.
    - Змінено для прийняття кодових сторінок UTF-16.
- v.5.9.8 (2026-05-15)
    - Підтримка кодових сторінок стала безпечнішою.
    - Додано переклад португальською (Португалія).
    - Введено WonRes (оригінальний маніпулятор ресурсів).
    - Виправлено поведінку діалогового вікна IDD_IDLIST.
    - Виправлено помилку, яка призводила до аварійного завершення роботи програми при натисканні клавіші "L" у MRadWindow.
    - Перевірка цілочисельних ідентифікаторів.
- v.5.9.7 (2026-05-03)
    - Підтримуються RichEdit20A/RichEdit20W/RichEdit50W.
    - Підтримуються кодові сторінки.
- v.5.9.6 (2026-04-02)
    - Виправлено інформацію про версію.
    - Шаблони локалізованої інформації про версію (RT_VERSION).
- v.5.9.5 (2026-03-01)
    - Зменшено розмір буфера.
- v.5.9.4 (2026-01-01)
    - Оновлено mcpp.exe, щоб зробити довжину буфера UTF-16/UTF-32 необмеженою.
    - Перейменовано HISTORY*.txt на ChangeLog*.txt.
    - Перейменовано README-*.txt на README_*.txt.
    - Додано функцію "Перейти до рядка".
- v.5.9.3 (2025-12-01)
    - Виправлено проблему нечутливості до регістру в автозаповненні.
    - Виправлено обробку нульового імені ресурсу.
    - Реалізовано TEXTINCLUDE 1.
    - Виправлено багато витоків пам'яті.
    - Підтримка звуків MP3.
    - Виправлено проблему з порожніми лапками в меню.
- v.5.9.2 (2025-10-23)
    - Виправлена проблема подвійного підпису.
- v.5.9.1 (2025-10-23)
    - Тепер максимальна довжина неперенесеного рядкового літерала становить 400.
    - Переносити рядкові літерали лише в UTF-16 RC.
    - Виправлено пошук (Ctrl+F).
    - Ключові слова ANICURSOR та ANIICON недоступні у старих середовищах. Використовуйте числові значення замість них.
    - Покращено інтерфейс/інтерфейс пошуку.
    - Додано опцію "(bom)" до функції EGA RES_save.
    - Додано підтримку високої роздільної здатності.
- v.5.9.0 (2025-09-01)
    - Підтримується розширення імені файлу rc2.
    - SHChangeNotify повідомляє про зміну значка під час вилучення файлу.
    - Увімкнено перенесення надмірно довгих рядкових літералів.
    - Тепер можна додавати позначку порядку байтів (BOM) під час виведення RC-файлу.
- v.5.8.9 (2025-07-01)
    - SHChangeNotify повідомляє про зміну значка під час збереження EXE-файлу.
    - Додано англійський запис "Нейтральний" до списку мов.
    - Виправлено початковий вибір мови у списку.
    - Правильне отримання інформації про RLE Bitmap.
    - Зменшено мерехтіння під час переміщення роздільника.
    - Вимкнено перенаправлення файлової системи WoW.
    - Увімкнено автозаповнення файлової системи.
- v.5.8.8 (2025-06-03)
    - Додано цифровий підпис до EXE-файлів.
    - Додано турецький переклад.
    - Підтримуються TEXTINCLUDE 2 та TEXTINCLUDE 3.
    - Виправлено збій MRadWindow.
    - Оновлено інсталятори.
- v.5.8.7 (2025-04-04)
    - Зменшення витоків пам'яті та витоків дескрипторів.
    - Покращено головний значок.
    - Вдосконалено інтерфейс UI/UX додавання піктограм/курсорів/растрових зображень/ресурсів.
- v.5.8.6 (2025-02-04)
    - Додано іспанський переклад.
    - Виправлено роботу функції RES_save для збереження файлів *.dll.
    - Не використовуйте SUBLANG_CUSTOM_DEFAULT, SUBLANG_CUSTOM_UNSPECIFIED та SUBLANG_UI_CUSTOM_DEFAULT для забезпечення зворотної сумісності.
- v.5.8.5 (2024-08-21)
    - Покращено зручність використання консолі EGA.
    - Скасовано функцію введення EGA.
- v.5.8.4 (2024-08-02)
    - Розділено налаштування для x86 та x64.
    - Виправлено неправильне тлумачення індексу відкритого фільтра.
- v.5.8.3 (2024-07-24)
    - Автозаповнення назви ресурсу на основі імені файлу.
    - Додано налаштування мови ресурсів.
    - Виправлено зависання при натисканні клавіші Enter.
    - Додано підтримку x64.
- v.5.8.2 (2024-07-20)
    - Додано стиль ES_AUTOHSCROLL до деяких текстових полів.
    - Виправлено помилку завантаження Win2k3 ieframe.dll BITMAP 214.
    - Центрування вікна "Edit Dialog".
    - Додано підтримку експорту файлів RES.
- v.5.8.1 (2024-03-04)
    - Вдосконалено діалогові вікна IDD_ADDCTRL та IDD_CTRLPROP.
- v.5.8.0 (2024-03-03)
    - Вирішено проблему з перевіркою безпеки під час створення EXE-файлів.
- v.5.7.9 (2023-11-14)
    - Додано приклад EGA-файлу DeleteNonEnglish.ega.
    - Виправлено переклад IDS_THEREISUPDATE.
- v.5.7.8 (2023-10-06)
    - Покращено переклад на португальську (бразильську).
    - Послаблено вимоги до вибору шрифту.
    - Додано переклад на традиційну китайську.
- v.5.7.7 (2023-06-05)
    - Уніфіковано IDD_ADDDLGINIT та IDD_MODIFYDLGINIT.
    - Змінено дизайн RES_str_get та RES_str_set.
    - Додано функції RES_get_text та RES_set_text до EGA.
- v.5.7.6 (2023-06-02)
    - Локалізовано меню "Довідка".
    - До EGA додано функції RES_str_get та RES_str_set.
- v.5.7.5 (2023-05-08)
    - Вдосконалено діалогові вікна IDD_DLGPROP, IDD_CTRLPROP та IDD_ADDCTRL.
    - Додано корейський інсталятор.
    - Виправлено роздільник MENUEX.
- v.5.7.4 (2023-04-02)
    - Додано номери версій до IDS_NOTICE.
    - Вдосконалено консоль EGA.
    - Виправлено частково несправний інсталятор.
- v.5.7.3 (2023-04-01)
    - Незначне покращення продуктивності.
    - Покращено функцію "Копіювати на кілька мов".
    - Виправлено FILESUBTYPE у VERSIONINFO.
    - Встановлено "~" як суфікс резервної копії замість "-old".
    - Перейменовано "Заміна шрифтів діалогових вікон..." на "Замінники шрифтів діалогових вікон..."
- v.5.7.2 (2022-06-07)
    - Додано підтримку ресурсів TOOLBAR.
- v.5.7.1 (2022-03-28)
    - Вдосконалено діалогове вікно з інформацією про версію.
    - Повернуто до попереднього способу відображення через неправильне відображення елементів управління.
    - Запам'ятовується фокус головного вікна.
- v.5.7.0 (2022-03-18)
    - Виправлено перекомпіляцію в управлінні ідентифікаторами ресурсів.
- v.5.6.9 (2022-03-09)
    - Розділено текст історії.
    - Перейменовано README.
    - Додано WS_CLIPCHILDREN для вікна RAD, щоб зменшити мерехтіння.
- v.5.6.8 (2022-01-17)
    - Змінено початковий фокус IDD_CTRLPROP.
    - Виправлено деяку інформацію про версію.
- v.5.6.7 (2022-01-13)
    - Додано португальський переклад.
    - Знову додано підтримку WinXP (не використовуйте GetThreadUILanguage() в XP).
- v.5.6.6 (2021-12-25)
    - Подвійне клацання на вікні RAD відкриває властивості елемента управління/діалогового вікна.
    - Покращено підтримку ANI-курсора.
- v.5.6.5 (2021-12-18)
    - Кнопка BS_OWNERDRAW є кнопкою PUSHBUTTON.
    - Додано функцію "Копіювати на кілька мов".
    - Виправлено помилку у вікні RAD (критична).
- v.5.6.4 (2021-12-16)
    - Перед відкриттям редагування графічного інтерфейсу з’являється запит на компіляцію.
- v.5.6.3 (2021-12-12)
    - Додано win32-samples.
    - Додано "Вибір мови інтерфейсу".
- v.5.6.2 (2021-08-15)
    - Збільшено ширину діалогових вікон "Параметри збереження" та "Параметри експорту".
    - Додано обхідний шлях для додавання таблиць повідомлень у режимі сумісності з Microsoft.
- v.5.6.1 (2021-07-01)
    - Виправлено значення, яке повертає процес.
    - Покращено обробку таблиць повідомлень.
    - Не змінювати регістр імені під час перейменування в TreeView.
- v.5.6.0 (2021-06-19)
    - Не стискати dfmsc.exe (з міркувань безпеки).
    - Додано підтримку командного рядка.
    - Додано функції RES_load та RES_save до мови EGA.
- v.5.5.9 (2021-06-16)
    - Виправлено завантаження макросів resource.h.
- v.5.5.8 (2021-06-15)
    - Позначає рядок при виникненні помилки.
    - Виправлено Ctrl+A.
    - Оновлено mcpp.exe та dfmsc.exe.
- v.5.5.7 (2021-06-12)
    - Додано номери рядків.
- v.5.5.6 (2021-04-29)
    - Додано можливість імпортувати файли *.rc.
    - Виправлено відображення стрілок мов у TreeView.
- v.5.5.5 (2021-04-23)
    - Видалено програми tlb2idl.
    - Додано програму OleBow для обробки типу ресурсу TYPELIB.
    - Компіляція TYPELIB, якщо доступний компілятор MIDL.
- v.5.5.4 (2021-04-13)
    - Виправлено імпорт іконок Vista.
- v.5.5.3 (2021-03-30)
    - Оновлено windres.exe до версії 2.36.1.
    - Використано короткі імена шляхів для запуску підпроцесів mcpp.exe та windres.exe.
- v.5.5.2 (2021-02-27)
    - Виправлено Ctrl+A у текстових полях Win2k3.
    - Додано програми tlb2idl для обробки типу ресурсу TYPELIB.
    - Додано підтримку попереднього перегляду TYPELIB.
    - Додано польський переклад.
    - За замовчуванням вимкнено функцію "Обтікати оператори маніфесту".
- v.5.5.1 (2021-02-02)
    - Оновлено windres до версії 2.36.
    - Можна компілювати пункти меню BITMAP або OWNERDRAW.
- v.5.5.0 (2021-01-26)
    - Додано переклад корейською мовою.
- v.5.4.9 (2021-01-21)
    - Оновлення списку ідентифікаторів після перейменування елемента дерева.
- v.5.4.8 (2020-11-12)
    - Додано переклад на фінську мову.
    - Додано асоціацію файлів *.rc та *.res.
    - Початкова підтримка елементів управління OLE.
    - Видалено MOleCtrl та додано MOleHost.
    - Підтримка даних REGINST.
- v.5.4.7 (2020-10-18)
    - Понижено версію Inno Setup до 5.6.1 для підтримки XP.
    - Початкова підтримка класу вікна ActiveX "AtlAxWin140" у діалоговому вікні тестування.
- v.5.4.6 (2020-10-03)
    - Видалено кеш під час перевірки версії.
    - Виправлено розташування діалогового вікна тестування.
    - Виправлено помилку, через яку `RT_DLGINIT` зникав без дозволу.
- v.5.4.5 (2020-08-03)
    - Додано переклад на індонезійську мову.
    - Додано автозаповнення для комбінованих полів вибору мови.
- v.5.4.4 (2020.07.09)
    - Очищено вміст файлу перед його використанням.
    - Додано підтримку міжнародних даних Delphi DFM.
    - Додано пункт меню "Налаштування Delphi DFM" до меню "Редагувати".
    - Правильно скинуто контрольну суму до нуля під час збереження файлу.
    - Виправлено помилку, через яку елемент управління зміщувався на 1 піксель.
    - Додано кілька пауз під час збереження файлу для антивірусної перевірки.
    - Додано посилання "Посібник з RisohEditor" до меню "Довідка".
- v.5.4.3 (2020-07-03)
    - Вдосконалено формування імен файлів під час вилучення даних.
    - Впорядковано елементи дерева при зміні назви ресурсу/мови.
    - Вдосконалено вилучення піктограм та курсорів.
    - Вдосконалено кодування символів перенесення рядка в закодованому тексті.
    - Виправлено діалогове вікно "Додати ресурс".
    - Додано можливість імпортувати HTML та маніфести.
    - Додано функцію перевірки оновлень у меню "Довідка".
    - Виправлено заголовок вікна повідомлення.
    - Зменшено обмеження на кількість символів та додано підтримку великих обсягів даних.
    - Скидання контрольної суми до нуля під час збереження файлу.
- v.5.4.2 (2020-06-18)
    - Додано вкладку для вибору "Редактор коду" або "Переглядач шістнадцяткових даних".
    - Покращено німецькі та французькі переклади.
    - Виправлено стрілку випадаючого меню мов.
    - Виправлено обробку кодування Unicode.
    - Покращено експорт та витяг даних.
    - Покращено діалогове вікно EGA.
- v.5.4.1 (2020-06-14)
    - Виправлено помилку, через яку не вдавалося зберегти файл при повторному запису.
    - Виправлено текст у заголовку вікна.
    - Виправлено повідомлення у рядку стану.
    - Додано німецький переклад.
    - Додано французький переклад.
- v.5.4.0 (2020-06-13)
    - Виправлено виведення `RT_ACCELERATOR` (16-бітне без знака).
    - Видалено опцію "Зберегти у папці res".
    - Виправлено збій під час редагування графічного інтерфейсу.
    - Покращено функцію вилучення.
    - Виправлено функцію заміни шрифту діалогового вікна.
    - Використано повний шлях для заголовка вікна.
    - Додано стрілку випадаючого меню мов.
    - Виправлено діалогове вікно "Запит константи".
    - Виправлено діалогове вікно "Кодування елемента ресурсу".
    - Покращено діалогове вікно "Асоціація ідентифікаторів".
    - Покращено діалогове вікно "Заздалегідь визначені макроси".
    - Покращено діалогове вікно "Конфігурація".
    - Виправлено діалогове вікно "Пошук".
    - Покращено повідомлення про стан.
    - Покращено обробку прапорців модифікації.
- v.5.3.9 (2020-06-01)
    - Додано функцію "replacing-dialog-fonts".
    - Деякі пункти меню перенесено до меню "Редагувати".
    - Додано перевірку на нульове значення імені та типу ресурсу.
    - До діалогового вікна зразка ресурсів додано стиль `DS_CENTER`.
    - Увімкнено функціональні клавіші F1, F3, F5 та F6.
    - Додано портативну версію.
    - Покращено функцію пошуку.
- v.5.3.8 (2020-05-22)
    - Додано пункт "Відкрити посібник EGA" до меню "Автоматизація".
    - Впроваджено суворий контроль прапорця зміни файлу.
- v.5.3.7 (2020-04-28)
    - Оновлено прапорець зміни файлу при перетягуванні файлу.
    - Покращено формування імені файлу під час розпакування.
    - Посилено захист EGA.
    - Покращено російський переклад.
- v.5.3.6 (2020-04-15)
    - Безкінечний цикл усунуто шляхом зміни типів змінних циклу на 32-бітні.
    - Підтримка даних Delphi DFM.
    - Вдосконалено контекстне меню.
- v.5.3.5 (2020-03-26)
    - Вдосконалено італійський переклад.
    - Виправлено непотрібне підтвердження збереження.
- v.5.3.4 (2020-03-19)
    - Змінено поведінку кнопки збереження на панелі інструментів.
    - Впроваджено автоматизацію за допомогою мови програмування EGA.
    - Додано підтвердження збереження змін у файлі.
- v.5.3.3 (2020-03-03)
    - Зменшено розмір файлу з 9 МБ до 3 МБ.
- v.5.3.2 (2020-03-02)
    - Можливість збереження за допомогою `Ctrl+S` без запиту про місце збереження.
    - Опція "Виводити RC-файли у форматі UTF-16" стала постійною.
    - Вікно "Список ідентифікаторів ресурсів" тепер виводиться на передній план.
- v.5.3.1 (2020-02-23)
    - Виправлено та покращено читання/відображення ресурсів меню.
    - Покращено обробку `IDC_STATIC`.
    - Покращено вікно "Список ідентифікаторів ресурсів".
- v.5.3.0 (2020-02-06)
    - Додано `ES_AUTOHSCROLL` до деяких текстових полів.
    - Виправлено логічну помилку під час перезапису файлу.
- v.5.2.9 (2020-02-01)
    - Підтримка XP у версії 5.2.8 була вимкнена. Тепер вона увімкнена.
    - Виправлено обробку збереження файлів.
    - Можливість зберігати файли EXE/DLL без власного виконуваного файлу користувача.
    - Виправлено створення резервних копій.
- v.5.2.8 (2020-01-30)
    - Виправлено російський переклад.
    - Можливість відображення невизначених елементів управління.
    - Додано опцію "Використовувати BEGIN/END".
    - Виправлено помилку, через яку DLL не можна було зберегти під іншим іменем.
- v.5.2.7 (2019-10-20)
    - Знову вдосконалено діалогове вікно "Мови".
    - Виправлено розташування позначок елементів діалогового вікна.
- v.5.2.6 (2019-09-23)
    - Вдосконалено діалогове вікно "Мови".
    - Додано російський переклад.
    - Відображається повідомлення про помилку, якщо в шляху до місця встановлення містяться пробіли.
    - Додано опцію `--use-temp-file` при запуску `windres` для виправлення проблеми з `popen`.
- v.5.2.5 (2019-09-19)
    - Виправлено помилку `WS_CHILDWINDOW` у списку стилів діалогового вікна.
    - Змінено імена файлів випуску (`RisohEditor-X.X.X.exe` та `RisohEditor-X.X.X.zip`).
    - Додано файл `TRANSLATORS.txt`.
    - Зроблено видимими елементи керування, що малюються власником.
- v.5.2.4 (2019-09-15)
    - Підтримка XP.
- v.5.2.3 (2019-09-14)
    - Виправлено `AUTORADIOBUTTON` `STYLE`.
- v.5.2.2 (2019-08-14)
    - Оновлено італійський переклад.
    - Підтримка типів ресурсів XML, XSLT, SCHEMA та REGISTRY.
    - Покращено інтерпретацію у разі невідповідності мов `RT_ICON`/`RT_CURSOR` та `RT_GROUP_ICON`/`RT_GROUP_CURSOR`.
    - Покращено інтерпретацію при невідповідності мов `RT_DLGINIT` та `RT_DIALOG`.
- v.5.2.1 (2019-08-04)
    - Якщо ви ввели `"En"` як назву мови, буде обрано "English (United States)".
    - Додано функцію "Query Constant".
    - Виправлено "Згорнути все".
    - `WS_POPUPWINDOW | WS_BORDER` має бути `WS_POPUPWINDOW | WS_CAPTION`.
    - Підтримка `RT_FONT`.
    - Покращено діалогове вікно "Додати ресурс".
- v.5.2.0 (2019-07-26)
    - Правильна обробка значень `DIALOG STYLE` (значенням за замовчуванням для `DIALOG STYLE` є `WS_CAPTION`).
    - Виправлено помилку, через яку програма несподівано видаляла файл під час відкриття стисненого EXE-файлу без його розпакування.
- v.5.1.9 (2019-07-14)
    - Додано підтримку введення/виведення вихідних даних у форматі UTF-16.
- v.5.1.8 (2019-05-14)
    - Додано перевірку на необхідність перекомпіляції під час клонування.
    - Виправлено вибір після клонування.
    - Правильно припиняється робота при помилці компіляції таблиці рядків та таблиці повідомлень.
- v.5.1.7 (2019-03-20)
    - Додано стилі PBS_MARQUEE та PBS_SMOOTHREVERSE.
    - Виправлено процес обробки помилок компіляції.
- v.5.1.6 (2019-02-24)
    - Покращено італійський переклад.
    - Внесено корективи в графічний інтерфейс.
    - Виправлено функцію "Клонувати на нову мову".
- v.5.1.5 (2019-01-27)
    - Відмова від використання розширеного стилю WS_EX_MDICHILD.
    - Додано підтримку ReactOS.
- v.5.1.4 (2019-01-13)
    - Додано інсталятор англійською мовою.
    - Додано інсталятор італійською мовою.
    - Додано італійський переклад.
    - Додано інсталятори деяких мов.
- v.5.1.3 (2019-01-01)
    - Виправлено "Список ідентифікаторів ресурсів".
- v.5.1.2 (2018-12-08)
    - Додано підтримку пробілів у полі введення імені класу вікна.
    - Додано підтримку літералних рядків C у полі введення імені класу вікна.
    - Вдосконалено систему шаблонів.
    - Додано підтримку шаблону маніфесту.
    - Виправлено оновлення інтерфейсу панелі інструментів.
    - Виправлено відображення типів ідентифікаторів у "Списку ідентифікаторів ресурсів".
    - Виправлено сортування мов під час виведення.
- v.5.1.1 (2018-11-08)
    - Дозволено введення пробілів у полі тексту підпису.
    - Дозволено введення пробілів у полі мови.
- v.5.1.0 (2018-10-08)
    - Вдосконалено діалогові вікна "Введення рядка" (багаторядкові).
    - Виправлено поведінку комбінації клавіш Ctrl+A.
    - Перевірка блокування файлу під час збереження.
    - Встановлено чутливість до регістру в ідентифікаторах ресурсів.
    - Додано підтримку кодування елементів ресурсів.
    - Виправлено ненормальне завершення роботи у діалоговому вікні "Мови".
- v.5.0.9 (2018-09-27)
    - Вдосконалено вивід файлу resource.h.
    - Вдосконалено піктограму файлу в деревоподібному перегляді.
    - Вдосконалено імпорт.
- v.5.0.8 (2018-09-12)
    - Вдосконалено піктограми панелі інструментів.
    - Виправлено типи файлів під час вилучення.
    - Додано символ "хрестик" до вихідного файлу для полегшення виявлення UTF-8.
    - Виправлено іконки дерева.
    - Розділено шаблони ресурсів RT_DIALOG та RT_MENU за мовами.
- v.0.6 (2017-08-31)
    - Перший випуск.
